com.jogamp.gluegen.cgram.types

## Class TypeDictionary

- java.lang.Object
- - com.jogamp.gluegen.cgram.types.TypeDictionary

-     public class TypeDictionary
      extends Object

  Utility class for recording names of typedefs and structs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeDictionary()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(String key)`
    `boolean` | `containsValue(Type value)`
    `Set<Map.Entry<String,Type>>` | `entrySet()`
    `Type` | `get(String name)` Get the type corresponding to the given name.
    `boolean` | `isEmpty()`
    `Set<String>` | `keySet()` Get all the names that map to Types.
    `Type` | `put(String name, Type type)` Create a mapping from a type to its name.
    `Type` | `remove(String name)` Remove the mapping from the specified name to its associated type.
    `Collection<Type>` | `values()` Returns a collection of all the Types in the dictionary that are mapped via typedefs names.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeDictionary

          public TypeDictionary()

  - ### Method Detail

    - #### put

          public Type put(String name,
                 Type type)

      Create a mapping from a type to its name.
      Parameters:
        `name` - the name to which the type is defined
        `type` - the type that can be referred to by the specified name.

    - #### get

          public Type get(String name)

      Get the type corresponding to the given name. Returns null if no type was found corresponding to the given name.

    - #### remove

          public Type remove(String name)

      Remove the mapping from the specified name to its associated type.

    - #### keySet

          public Set<String> keySet()

      Get all the names that map to Types.
      Returns:
        a Set of Strings that are the typedef names that map to Types in the dictionary.

    - #### entrySet

          public Set<Map.Entry<String,Type>> entrySet()

    - #### containsKey

          public boolean containsKey(String key)

    - #### containsValue

          public boolean containsValue(Type value)

    - #### isEmpty

          public boolean isEmpty()

    - #### values

          public Collection<Type> values()

      Returns a collection of all the Types in the dictionary that are mapped via typedefs names.